#pragma once

#include <LiquidCrystal.h>


class GameDisplay {
  private:
    LiquidCrystal m_lcd;
    const int m_cols;
    const int m_rows;

    void printCenter(String, int col);

  public:
    GameDisplay(const int, const int, const int, const int, const int, const int, const int, const int);
    void init(void);
    void update(void);
    void showScoreScreen(int, int);
    void showHitScreen(int, bool);
    void showHealthScreen(int);
    void showGameOverScreen(int);
    void showResetScreen(void);
};